<!--共用选择题-->
<style>

</style>
<template>
  <div class="sharingChooseQuestion">
    <table v-if="data&&data.length>0">
      <tr v-for="(item,index) in data[0]">
        <td>
          {{item.Name}}
        </td>
        <td>
          <UeEditor v-model="item.Content" :config="config"></UeEditor>
        </td>
        <td>
          <a style="cursor:pointer;" @click="deleteOpion(index)">删除</a>
        </td>
      </tr>
      <tfoot>
        <tr>
          <td colspan="3">
            <a style="cursor:pointer;" @click="addOption()">添加选项</a>
          </td>
        </tr>
      </tfoot>
    </table>

    <br />
    <table v-if="data&&data.length>0">
      <tr v-for="(item,index) in data[1]">
        <td>
          {{index+1}}
        </td>
        <td>
          <UeEditor v-model="item.Content" :config="config"></UeEditor>
        </td>
        <td>
          <a style="cursor:pointer;" @click="deleteQuestion(index)">删除题干</a>
        </td>
      </tr>
      <tfoot>
        <tr>
          <td colspan="3">
            <a style="cursor:pointer;" @click="addQuestion()">添加题干</a>
          </td>
        </tr>
      </tfoot>
    </table>
    <br />
    答案：
    <br />
    <table v-if="data&&data.length>0">
      <tr v-for="(item,index) in data[1]">
        <td>
          {{index+1}}
        </td>
        <td>
          <select v-model="item.Name">
            <template v-for="(cItem,cIndex) in data[0]">
              <option :key="cIndex" :label="cItem.Name" :value="cItem.Name">
              </option>
            </template>
          </select>
        </td>
      </tr>
    </table>
  </div>
</template>
<script>
  import {
    getOptionList, //获取选择标签【A,B,C,D....】
  } from '../../api/question/questionconfig'
  import UeEditor from '../editor/UeEditor'
  export default {
    props: {
      questionData: {
        type: Array,
      },
      setOption: {
        type: Object
      }
    },
    components: {
      UeEditor
    },
    data() {
      return {
        data: this.questionData,
        config: {
          initialFrameWidth: null,
          initialFrameHeight: 80,
        },
        optionTitleList: [],
      };
    },
    created() {
      this.initConfig();
    },
    methods: {
      initConfig() {
        this.optionTitleList = getOptionList();
      },
      //删除选项
      deleteOpion(index) {
        this.data[0].splice(index, 1);
        this.calcOptionTitle();
      },
      //新增选项
      addOption() {
        if (this.data.length < 26) {
          this.data[0].push({
            Name: "",
            Content: "",
          });
          this.calcOptionTitle();
        } else {
          this.$q.notify({
            type: 'warning',
            position: 'center',
            timeout: 1500,
            message: `最多只能添加26个选项`
          })
          return
        }
      },
      //删除题干
      deleteQuestion(index) {
        this.data[1].splice(index, 1);
        this.calcOptionTitle();
      },
      //添加题干
      addQuestion() {
        this.data[1].push({
          Name: "",
          Content: "",
        });
        this.calcOptionTitle();
      },
      //重新计算选择Title[A,B,C,D....]
      calcOptionTitle() {
        if (this.data && this.data.length > 0) {
          this.data[0].forEach((item, index) => {
            item.Name = this.optionTitleList[index];
          })
        }
      },
      //返回数据到父组件
      returnDataToParent() {
        this.$emit('getChild', this.data);
      },
    },
    mounted() {

    },
    watch: {
      data: {
        handler(newValue) {
          this.setOption.Title = this.data[1][0].Content;
          this.returnDataToParent();
        },
        deep: true
      },
    }
  };

</script>
